//------------------------- Geneated Java Class File For EmailDAOInterface Class ---------------------------------

package hu.bme.mit.contactbook.dbutility;

import hu.bme.mit.contactbook.entities.Email;
import hu.bme.mit.contactbook.entities.Person;
import java.util.List;
import com.j256.ormlite.dao.Dao;

//
public interface EmailDAOInterface {
	public boolean createEmail(Person person, Email email);
	public boolean createEmail(Email email);
	public boolean updateEmail(Email email);
	public boolean deleteEmail(Email email);
	public boolean deleteEmails(List<Email> email);
	public boolean refreshEmail(Email email);
	public List<Email> getEmails();
	public List<Email> getEmailsByPersonContainment(Person person);
	public Email getEmailByID(int id);
	public Dao<Email, Integer> getDAO();
}
