//------------------------- Geneated Java Class File For NoteDAOInterface Class ---------------------------------

package hu.bme.mit.contactbook.dbutility;

import hu.bme.mit.contactbook.entities.Note;
import hu.bme.mit.contactbook.entities.Person;
import java.util.List;
import com.j256.ormlite.dao.Dao;

//
public interface NoteDAOInterface {
	public boolean createNote(Person person, Note note);
	public boolean createNote(Note note);
	public boolean updateNote(Note note);
	public boolean deleteNote(Note note);
	public boolean deleteNotes(List<Note> note);
	public boolean refreshNote(Note note);
	public List<Note> getNotes();
	public Note getNoteByPersonContainment(Person person);
	public Note getNoteByID(int id);
	public Dao<Note, Integer> getDAO();
}
