//------------------------- Geneated Java Class File For PhoneNumberDAOInterface Class ---------------------------------

package hu.bme.mit.contactbook.dbutility;

import hu.bme.mit.contactbook.entities.PhoneNumber;
import hu.bme.mit.contactbook.entities.Person;
import java.util.List;
import com.j256.ormlite.dao.Dao;

//
public interface PhoneNumberDAOInterface {
	public boolean createPhoneNumber(Person person, PhoneNumber phoneNumber);
	public boolean createPhoneNumber(PhoneNumber phoneNumber);
	public boolean updatePhoneNumber(PhoneNumber phoneNumber);
	public boolean deletePhoneNumber(PhoneNumber phoneNumber);
	public boolean deletePhoneNumbers(List<PhoneNumber> phoneNumber);
	public boolean refreshPhoneNumber(PhoneNumber phoneNumber);
	public List<PhoneNumber> getPhoneNumbers();
	public List<PhoneNumber> getPhoneNumbersByPersonContainment(Person person);
	public PhoneNumber getPhoneNumberByID(int id);
	public Dao<PhoneNumber, Integer> getDAO();
}
