//------------------------- Geneated Java Class File For ProfileDAOInterface Class ---------------------------------

package hu.bme.mit.contactbook.dbutility;

import hu.bme.mit.contactbook.entities.Profile;
import java.util.List;
import com.j256.ormlite.dao.Dao;

//
public interface ProfileDAOInterface {
	public boolean createProfile(Profile profile);
	public boolean updateProfile(Profile profile);
	public boolean deleteProfile(Profile profile);
	public boolean deleteProfiles(List<Profile> profile);
	public boolean refreshProfile(Profile profile);
	public List<Profile> getProfiles();
	public Profile getProfileByID(int id);
	public Dao<Profile, Integer> getDAO();
}
