//------------------------- Geneated Java Class File For Entity - Address ---------------------------------
//------------------------- Model Implementation In /CBModelingTestX/src/test6.dm Resource File --------------

package hu.bme.mit.contactbook.entities;

import android.os.Parcel;
import android.os.Parcelable;
import com.j256.ormlite.field.DatabaseField;
import com.j256.ormlite.table.DatabaseTable;

//
@DatabaseTable(tableName = "address")
public class Address implements Parcelable {
	
	// Property declarations
	
	public static final String ADDRESS_FIELD_NAME = "address";
	public static final String PERSON_ID_FIELD_NAME = "person_id";
	@DatabaseField(columnName = "id", generatedId = true)
	private int id;
	
	//
	@DatabaseField(columnName = ADDRESS_FIELD_NAME, canBeNull = false)
	protected String address;
	
	
	// Association declarations
	
	//
	@DatabaseField(foreign = true, columnName = PERSON_ID_FIELD_NAME)
	protected Person person;
	
	
	// Parcelable creator
	
	//
	public static final Parcelable.Creator<Address> CREATOR = new Parcelable.Creator<Address>() {
		public Address createFromParcel(Parcel pc) {
			return new Address(pc);
		}
		public Address[] newArray(int size) {
			return new Address[size];
		}
	};
	
	// Constructor
	
	//
	protected Address(){
		super();
	}
	
	protected Address(Address address){
		super();
	}
	
	public Address(Parcel pc){
		super();
		
		address = pc.readString();
		person = (Person) pc.readValue(Person.class.getClassLoader());
	}
	
	
	// Parcel methods
	
	
	@Override
	public int describeContents() {
		return 0;
	}
	
	@Override
	public void writeToParcel(Parcel dest, int flags) {
		dest.writeString(address);
		dest.writeValue(person);
	}
	
	
	// Getter-setters
	
	//
	public int getId() {
		return id;
	}
	
	//
	public String getAddress(){
		return this.address;
	}
	
	//
	public void setAddress(String address){
		this.address = address;
	}
	
	//
	public Person getPerson(){
		return this.person;
	}
	
	//
	public void setPerson(Person person){
		this.person = person;
	}
	
}
