//------------------------- Geneated Java Class File For Entity - Email ---------------------------------
//------------------------- Model Implementation In /CBModelingTestX/src/test5.dm Resource File --------------

package hu.bme.mit.contactbook.entities;

import android.os.Parcel;
import android.os.Parcelable;
import com.j256.ormlite.field.DatabaseField;
import com.j256.ormlite.table.DatabaseTable;

//
@DatabaseTable(tableName = "email")
public class Email implements Parcelable {
	
	// Property declarations
	
	public static final String EMAIL_FIELD_NAME = "email";
	public static final String PERSON_ID_FIELD_NAME = "person_id";
	@DatabaseField(columnName = "id", generatedId = true)
	private int id;
	
	//
	@DatabaseField(columnName = EMAIL_FIELD_NAME, canBeNull = false)
	protected String email;
	
	
	// Association declarations
	
	//
	@DatabaseField(foreign = true, columnName = PERSON_ID_FIELD_NAME)
	protected Person person;
	
	
	// Parcelable creator
	
	//
	public static final Parcelable.Creator<Email> CREATOR = new Parcelable.Creator<Email>() {
		public Email createFromParcel(Parcel pc) {
			return new Email(pc);
		}
		public Email[] newArray(int size) {
			return new Email[size];
		}
	};
	
	// Constructor
	
	//
	protected Email(){
		super();
	}
	
	protected Email(Email email){
		super();
	}
	
	public Email(Parcel pc){
		super();
		
		email = pc.readString();
		person = (Person) pc.readValue(Person.class.getClassLoader());
	}
	
	
	// Parcel methods
	
	
	@Override
	public int describeContents() {
		return 0;
	}
	
	@Override
	public void writeToParcel(Parcel dest, int flags) {
		dest.writeString(email);
		dest.writeValue(person);
	}
	
	
	// Getter-setters
	
	//
	public int getId() {
		return id;
	}
	
	//
	public String getEmail(){
		return this.email;
	}
	
	//
	public void setEmail(String email){
		this.email = email;
	}
	
	//
	public Person getPerson(){
		return this.person;
	}
	
	//
	public void setPerson(Person person){
		this.person = person;
	}
	
}
