package hu.bme.mit.contactbook.activities;

import hu.bme.mit.contactbook.R;
import hu.bme.mit.contactbook.application.CBApplication;
import hu.bme.mit.contactbook.dbutility.DAOFactory;
import hu.bme.mit.contactbook.entities.EntityFactory;
import hu.bme.mit.contactbook.entities.PhoneNumber;
import android.os.Bundle;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.widget.EditText;

public class AddPhone extends AddPhoneActivityG {

	private EditText editPersonName;
	private Button OkBtn;
	private Button CancelBtn;
	
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.add_phone);
        
        editPersonName = (EditText)this.findViewById(R.id.phoneNumber);
        
        OkBtn = (Button)findViewById(R.id.btnAddPhone);
        CancelBtn = (Button)findViewById(R.id.btnCancel);
        
        CancelBtn.setOnClickListener(new OnClickListener() {
			public void onClick(View v) {
				navigateBack();
			}
		});
        
        OkBtn.setOnClickListener(returnPerson);
    }
    
    OnClickListener returnPerson = new OnClickListener() {
		
		@Override
		public void onClick(View v) {
			
			String n = editPersonName.getText().toString();
			PhoneNumber pn = EntityFactory.createPhoneNumber(n);
			DAOFactory.getPhoneNumberDAO().createPhoneNumber(CBApplication.getCurrentPerson(), pn);	
			
			navigateBack();
		}
	};
}