package hu.bme.mit.contactbook.activities;

import hu.bme.mit.contactbook.R;
import hu.bme.mit.contactbook.application.CBApplication;
import hu.bme.mit.contactbook.dbutility.DAOFactory;
import hu.bme.mit.contactbook.entities.Note;
import hu.bme.mit.contactbook.entities.Person;
import android.os.Bundle;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.widget.EditText;

public class NoteActivity extends NoteActivityG {

	private Note note;
	private EditText text;
	private Button saveBtn;
	
    @Override
    public void onCreate(Bundle savedInstanceState) {
       super.onCreate(savedInstanceState);
        
       Person p = CBApplication.getCurrentPerson();
       note = DAOFactory.getNoteDAO().getNoteByPersonContainment(p);
       
       setContentView(R.layout.note);
       text = (EditText)findViewById(R.id.Note);
       saveBtn = (Button)findViewById(R.id.btnSave);
       text.setText(note.getNote());
       
       saveBtn.setOnClickListener(new OnClickListener() {
			public void onClick(View v) {
				note.setNote(text.getText().toString());
				DAOFactory.getNoteDAO().updateNote(note);
				navigateBack();
			}
		});
       
    }
    
    @Override
	protected void onResume() {
		super.onResume();
		 Person p = CBApplication.getCurrentPerson();
	       note = DAOFactory.getNoteDAO().getNoteByPersonContainment(p);
	}
    
    @Override
	 protected void onPause(){
		 super.onPause();
		 note.setNote(text.getText().toString());
		 DAOFactory.getNoteDAO().updateNote(note);
	 }
    
}