package hu.bme.aut.mercury.mercuryclientandroid.application;

import hu.bme.aut.mercury.mercuryclientandroid.fragments.PersonalDataFragment;
import hu.bme.aut.mercury.mercuryclientandroid.fragments.TrainingFragment;

public class MercuryApplication extends MercuryClientAndroidApplication {

	public static final String INTENT_AUTH = "auth";
	public static final String INTENT_STUDENT = "student";
	public static final String INTENT_FRAGMENT = "fragment";
	public static final String INTENT_FILTER = "async_response_filter";
	
	public static final String FRAGMENT_TRAINING = "training";
	public static final String FRAGMENT_PERSONAL_DATA = "personal_data";

	@Override
	public void onCreate() {
		super.onCreate();
		System.out.println("App Created");
		
		setPersonalDataFragmentGClass(PersonalDataFragment.class);
		setTrainingFragmentGClass(TrainingFragment.class);
	}

	@Override
	public void onTerminate() {
		super.onTerminate();
		System.out.println("App Terminated");
	}

}
