package hu.bme.aut.mercury.mercuryclientandroid.fragments;

import hu.bme.aut.mercury.mercuryclientandroid.R;
import hu.bme.aut.mercury.mercuryclientandroid.application.MercuryClientAndroidApplication;
import hu.bme.aut.mercury.mercuryclientandroid.converters.EnumConverter;
import hu.bme.aut.mercury.mercuryclientandroid.entities.Student;
import hu.bme.aut.mercury.mercuryclientandroid.util.Utility;
import android.os.Bundle;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.TextView;

public class PersonalDataFragment extends PersonalDataFragmentG {
	
	private Student student = null;
	
	private TextView mercuryCode = null;
	private TextView preName = null;
	private TextView firstName = null;
	private TextView surName = null;
	private TextView bornName = null;
	private TextView maritalStatus = null;
	private TextView bornDate = null;
	private TextView bornCountry = null;
	private TextView bornCity = null;
	private TextView sex = null;
	private TextView motherName = null;
	private TextView citizenship = null;
	private TextView numberOfChildren = null;
	private TextView TAJID = null;
	private TextView NAVID = null;
	private TextView OMID = null;
	private TextView ID = null;
	private TextView StudentID = null;

	@Override
	public View onCreateView(LayoutInflater inflater, ViewGroup container, Bundle savedInstanceState) {
		View root = inflater.inflate(R.layout.fragment_personal_data, container, false);
		
		student = getActivity().getIntent().getParcelableExtra(MercuryClientAndroidApplication.MAINMENUACTIVITYG_STUDENT);
		
		mercuryCode = (TextView) root.findViewById(R.id.mercury_code_content);
		mercuryCode.setText(student.getMercuryCode());
		
		preName = (TextView) root.findViewById(R.id.prename_content);
		preName.setText(student.getNamePrefix());
		
		firstName = (TextView) root.findViewById(R.id.firstname_content);
		firstName.setText(student.getFirstName());
		
		surName = (TextView) root.findViewById(R.id.surname_content);
		surName.setText(student.getSirName());
		
		bornName = (TextView) root.findViewById(R.id.born_name_content);
		bornName.setText(student.getBornName());
		
		maritalStatus = (TextView) root.findViewById(R.id.marital_status_content);
		maritalStatus.setText(EnumConverter.maritalStatusToString(student.getMaritalStatus()));
		
		bornDate = (TextView) root.findViewById(R.id.born_date_content);
		bornDate.setText(Utility.formatDateToString(student.getDateOfBorn()));
		
		bornCountry = (TextView) root.findViewById(R.id.born_country_content);
		bornCountry.setText(student.getBornCountry());
		
		bornCity = (TextView) root.findViewById(R.id.born_city_content);
		bornCity.setText(student.getBornCity());
		
		sex = (TextView) root.findViewById(R.id.sex_content);
		sex.setText(EnumConverter.sexToString(student.getSex()));
		
		motherName = (TextView) root.findViewById(R.id.mother_name_content);
		motherName.setText(student.getNameOfMother());
		
		citizenship = (TextView) root.findViewById(R.id.citizenship_content);
		citizenship.setText(student.getCitizenship());
		
		numberOfChildren = (TextView) root.findViewById(R.id.number_of_children_content);
		numberOfChildren.setText(Integer.toString(student.getNumberOfChildren()));
		
		TAJID = (TextView) root.findViewById(R.id.TAJ_ID_content);
		TAJID.setText(student.getTAJCode());
		
		NAVID = (TextView) root.findViewById(R.id.NAV_ID_content);
		NAVID.setText(student.getNAVCode());
		
		OMID = (TextView) root.findViewById(R.id.OM_ID_content);
		OMID.setText(student.getOMCode());
		
		ID = (TextView) root.findViewById(R.id.ID_content);
		ID.setText(student.getIDCode());
		
		StudentID = (TextView) root.findViewById(R.id.student_id_content);
		StudentID.setText(student.getStudentCode());
		
		return root;
	}

}
