package hu.bme.aut.mercury.mercuryclientandroid.util;

import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.Locale;

public class Utility{

	public static String formatDateToString(Date d){
		SimpleDateFormat sdf = new SimpleDateFormat("yyyy.MM.dd", Locale.US);
		return sdf.format(d);
	}
	
	public static Date formatStringToDate(String s){
		SimpleDateFormat sdf = new SimpleDateFormat("yyyy.MM.dd", Locale.US);
		try {
			return sdf.parse(s);
		} catch (ParseException e) {
			return null;
		}
	}
	
}
