package hu.bme.mit.mobilegen.componentmodel.helper;

import hu.bme.mit.mobilegen.componentmodel.componentmodel.Activity;
import hu.bme.mit.mobilegen.componentmodel.componentmodel.AsyncTask;
import hu.bme.mit.mobilegen.componentmodel.componentmodel.Fragment;

import java.util.List;

public class WrappedModel {
	
	private List<Activity> Activities;
	private List<Fragment> Fragments;
	private List<AsyncTask> AsyncTasks;
	
	public WrappedModel( List<Activity> activities, List<Fragment> fragments, List<AsyncTask> async_tasks){
		this.Activities = activities;
		this.Fragments = fragments;
		this.AsyncTasks = async_tasks;
	}

	public List<Activity> getActivities() {
		return Activities;
	}

	public void setActivities(List<Activity> activities) {
		Activities = activities;
	}

	public List<Fragment> getFragments() {
		return Fragments;
	}

	public void setFragments(List<Fragment> fragments) {
		Fragments = fragments;
	}

	public List<AsyncTask> getAsyncTasks() {
		return AsyncTasks;
	}

	public void setAsyncTasks(List<AsyncTask> asyncTasks) {
		AsyncTasks = asyncTasks;
	}
	
}