package hu.bme.mit.mobilegen.componentmodel.preprocessor;

import hu.bme.mit.mobilegen.componentmodel.componentmodel.Activity;
import hu.bme.mit.mobilegen.componentmodel.componentmodel.AsyncTask;
import hu.bme.mit.mobilegen.componentmodel.componentmodel.Fragment;
import hu.bme.mit.mobilegen.componentmodel.helper.WrappedModel;
import hu.bme.mit.mobilegen.componentmodel.logger.Log;

import java.util.ArrayList;
import java.util.List;

import org.eclipse.emf.ecore.resource.ResourceSet;

/**
 * 
 * PreProcessor
 * 
 */
public class PreProcessor {
	
	private static List<Activity> Activity = null;
	private static List<Fragment> Fragment = null;
	private static List<AsyncTask> AsyncTask = null;
	
	
	/**
	 * 
	 * Initialize elements
	 * 
	 */
	public static void initialize(){
		Activity = new ArrayList<Activity>();
		Fragment = new ArrayList<Fragment>();
		AsyncTask = new ArrayList<AsyncTask>();
	}
	
	/**
	 * 
	 * PreProcessing model
	 * @param: ResultSet with whole model
	 * 
	 */
	public static WrappedModel preProcessModel(ResourceSet rs){
		initialize();
		
		Log.header("STARTING PRE-PROECESS");
		
		Log.header("STARTING MODEL-WARAPPING");
		
		ModelWrapper.processModel(rs, Activity, Fragment, AsyncTask);
		
		return new WrappedModel(Activity, Fragment, AsyncTask);
	}
	
}