package hu.bme.mit.mobilegen.componentmodel.generator.activity;

import com.google.inject.Inject;
import hu.bme.mit.mobilegen.componentmodel.componentmodel.Activity;
import hu.bme.mit.mobilegen.componentmodel.generator.activity.ActivityGenerator;
import hu.bme.mit.mobilegen.componentmodel.helper.WrappedModel;
import java.util.List;
import org.eclipse.xtext.generator.IFileSystemAccess;

@SuppressWarnings("all")
public class ActivitiesGenerator {
  @Inject
  private ActivityGenerator activityGenerator;
  
  public void generateActivities(final WrappedModel wm, final IFileSystemAccess fsa) {
    List<Activity> _activities = wm.getActivities();
    this.genActivities(_activities, fsa);
  }
  
  private void genActivities(final List<Activity> activities, final IFileSystemAccess fsa) {
    for (final Activity a : activities) {
      this.activityGenerator.generateActivityUnit(a, fsa);
    }
  }
}
