package hu.bme.mit.mobilegen.componentmodel.generator.asynctask;

import com.google.inject.Inject;
import hu.bme.mit.mobilegen.componentmodel.componentmodel.AsyncTask;
import hu.bme.mit.mobilegen.componentmodel.generator.asynctask.AsyncTaskGenerator;
import hu.bme.mit.mobilegen.componentmodel.helper.WrappedModel;
import java.util.List;
import org.eclipse.xtext.generator.IFileSystemAccess;

@SuppressWarnings("all")
public class AsyncTasksGenerator {
  @Inject
  private AsyncTaskGenerator asyncTaskGenerator;
  
  public void generateAsyncTasks(final WrappedModel wm, final IFileSystemAccess fsa) {
    List<AsyncTask> _asyncTasks = wm.getAsyncTasks();
    this.genAsyncTasks(_asyncTasks, fsa);
  }
  
  private void genAsyncTasks(final List<AsyncTask> async_tasks, final IFileSystemAccess fsa) {
    for (final AsyncTask a : async_tasks) {
      this.asyncTaskGenerator.generateAsyncTaskUnit(a, fsa);
    }
  }
}
