package hu.bme.mit.mobilegen.datamodel.ui.project;

import hu.bme.mit.mobilegen.datamodel.ui.builder.BuilderConstants;

import org.eclipse.core.resources.IFolder;
import org.eclipse.core.resources.IProject;
import org.eclipse.core.resources.IProjectDescription;
import org.eclipse.core.resources.IResource;
import org.eclipse.core.runtime.CoreException;
import org.eclipse.core.runtime.IProgressMonitor;
import org.eclipse.xtext.ui.XtextProjectHelper;

public class CreateProjectHelper {

	public void createProject(IProjectDescription description, IProject project, IProgressMonitor monitor) throws CoreException {
		project.create(monitor);
		project.open(IResource.BACKGROUND_REFRESH, monitor);

		IProjectDescription desc = project.getDescription();
		desc.setNatureIds(new String[] {XtextProjectHelper.NATURE_ID});
		project.setDescription(desc, monitor);
	
		IFolder srcFolder = project.getFolder(BuilderConstants.SRC_FOLDER);
		srcFolder.create(true, true, monitor);
	}
}
