package hu.bme.mit.mobilegen.datamodel.generator;

import hu.bme.mit.mobilegen.datamodel.generator.database.DatabaseGeneratorUtility;
import hu.bme.mit.mobilegen.datamodel.generator.database.ORMType;

import org.eclipse.core.resources.IProject;

public class GeneratorData {
	
	private static IProject project = null;
	private static String projectName = null;
	private static String packageName = null;
	private static ORMType orm = null;
	private static DeviceType device = null;
	private static String DBName = "Default_DB";
	private static int DBVersion = 1;
	private static boolean cache = false;
	private static boolean sharedpreferences = false;
	private static boolean generateStub = false;
	
	public static String getPackageName() {
		return packageName;
	}
	
	public static void setPackageName(String packageName) {
		GeneratorData.packageName = packageName;
	}
	
	public static ORMType getOrm() {
		return orm;
	}
	
	public static void setOrm(ORMType orm) {
		GeneratorData.orm = orm;
		DatabaseGeneratorUtility.setORM(orm);
	}

	public static String getDBName() {
		return DBName;
	}

	public static void setDBName(String dBName) {
		DBName = dBName;
	}

	public static int getDBVersion() {
		return DBVersion;
	}

	public static void setDBVersion(int dBVersion) {
		DBVersion = dBVersion;
	}

	public static boolean isCache() {
		return cache;
	}

	public static void setCache(boolean cache) {
		GeneratorData.cache = cache;
	}

	public static boolean isGenerateStub() {
		return generateStub;
	}

	public static void setGenerateStub(boolean generateStub) {
		GeneratorData.generateStub = generateStub;
	}

	public static String getProjectName() {
		return projectName;
	}

	public static void setProjectName(String projectName) {
		GeneratorData.projectName = projectName;
	}

	public static IProject getProject() {
		return project;
	}

	public static void setProject(IProject project) {
		GeneratorData.project = project;
	}

	public static boolean isSharedpreferences() {
		return sharedpreferences;
	}

	public static void setSharedpreferences(boolean sharedpreferences) {
		GeneratorData.sharedpreferences = sharedpreferences;
	}

	public static DeviceType getDevice() {
		return device;
	}

	public static void setDevice(DeviceType device) {
		GeneratorData.device = device;
	}
	
}