package hu.bme.mit.mobilegen.datamodel.generator.database;

import hu.bme.mit.mobilegen.datamodel.datamodel.Association;
import hu.bme.mit.mobilegen.datamodel.datamodel.Entity;
import hu.bme.mit.mobilegen.datamodel.datamodel.Property;
import hu.bme.mit.mobilegen.datamodel.helper.WrappedEntity;

import java.util.List;

public interface IDatabaseGeneratorUtility {
	public CharSequence classAnnotations(Entity e);
	public CharSequence propertyID(Entity e);
	public CharSequence propertyAnnotations(Property p);
	public CharSequence associationAnnotations(Association a);
	public CharSequence associationListDeclaration(Association a);
	public CharSequence associationListGetter(Association a);
	public CharSequence associationListSetter(Association a);
	public CharSequence idGetter(Entity e);
	public CharSequence fieldNames(Entity e);
	public void collectEntityGENImports(List<String> imports, WrappedEntity we);
	public void collectEntityImports(List<String> imports, WrappedEntity we);
}
