package hu.bme.mit.mobilegen.datamodel.helper;

import hu.bme.mit.mobilegen.datamodel.datamodel.DatamodelFactory;
import hu.bme.mit.mobilegen.datamodel.datamodel.impl.DatamodelFactoryImpl;

public class EntityFactory {

	private static DatamodelFactory factory = null;
	
	public static void initialize(){
		factory = new DatamodelFactoryImpl();
	}
	
	public static DatamodelFactory getFactory(){
		if(factory == null){
			initialize();
		}
		return factory;
	}
	
}
