package hu.bme.mit.mobilegen.datamodel.helper;

import hu.bme.mit.mobilegen.datamodel.datamodel.Enumeration;

import java.util.List;

public class WrappedModel {

	private List<WrappedEntity> entities;
	private List<Enumeration> enumerations;
	private List<WrappedEntity> DBPersisted;
	private List<WrappedEntity> Serialized;
	private List<WrappedEntity> SharedPreferences;
	private List<WrappedEntity> None;
	
	public WrappedModel(List<WrappedEntity> entities, List<Enumeration> enumerations, List<WrappedEntity> db, List<WrappedEntity> ser, List<WrappedEntity> pref, List<WrappedEntity> none){
		this.entities = entities;
		this.enumerations = enumerations;
		this.DBPersisted = db;
		this.Serialized = ser;
		this.SharedPreferences = pref;
		this.None = none;
	}

	public List<WrappedEntity> getEntities() {
		return entities;
	}

	public void setEntities(List<WrappedEntity> entities) {
		this.entities = entities;
	}

	public List<Enumeration> getEnumerations() {
		return enumerations;
	}

	public void setEnumerations(List<Enumeration> enumerations) {
		this.enumerations = enumerations;
	}

	public List<WrappedEntity> getDBPersisted() {
		return DBPersisted;
	}

	public void setDBPersisted(List<WrappedEntity> dBPersisted) {
		DBPersisted = dBPersisted;
	}

	public List<WrappedEntity> getSerialized() {
		return Serialized;
	}

	public void setSerialized(List<WrappedEntity> serialized) {
		Serialized = serialized;
	}

	public List<WrappedEntity> getSharedPreferences() {
		return SharedPreferences;
	}

	public void setSharedPreferences(List<WrappedEntity> sharedPreferences) {
		SharedPreferences = sharedPreferences;
	}

	public List<WrappedEntity> getNone() {
		return None;
	}

	public void setNone(List<WrappedEntity> none) {
		None = none;
	}
	
}