package hu.bme.mit.mobilegen.datamodel.preprocessor.database;


import hu.bme.mit.mobilegen.datamodel.generator.GeneratorData;
import hu.bme.mit.mobilegen.datamodel.generator.database.ORMType;
import hu.bme.mit.mobilegen.datamodel.helper.WrappedEntity;
import hu.bme.mit.mobilegen.datamodel.logger.Log;
import hu.bme.mit.mobilegen.datamodel.preprocessor.database.ormlite.ORMLiteProcessor;

import java.util.List;



public class DBProcessor {
	
	public static void processDBEntities(List<WrappedEntity> all, List<WrappedEntity> db){
		if(db.size() != 0){
			
			if(GeneratorData.getOrm() == ORMType.ORMLite){
				Log.header("STARTING DB - ORMLite Processing");
				ORMLiteProcessor.processDBEntities(all, db);
			}
			
		}
		else{
			Log.separator();
			Log.info("NO DB Entities Found");
		}
	}
}
