package hu.bme.mit.mobilegen.datamodel.generator.database;

import com.google.common.base.Objects;
import com.google.inject.Inject;
import hu.bme.mit.mobilegen.datamodel.generator.GeneratorData;
import hu.bme.mit.mobilegen.datamodel.generator.database.ORMType;
import hu.bme.mit.mobilegen.datamodel.generator.database.ormlite.ORMLiteGenerator;
import hu.bme.mit.mobilegen.datamodel.helper.WrappedEntity;
import hu.bme.mit.mobilegen.datamodel.helper.WrappedModel;
import java.util.List;
import org.eclipse.xtext.generator.IFileSystemAccess;

@SuppressWarnings("all")
public class DatabaseGeneratorMain {
  @Inject
  private ORMLiteGenerator ormLiteGen;
  
  public void generateDataAccessLayer(final WrappedModel wm, final IFileSystemAccess fsa) {
    ORMType _orm = GeneratorData.getOrm();
    boolean _equals = Objects.equal(_orm, ORMType.ORMLite);
    if (_equals) {
      List<WrappedEntity> _dBPersisted = wm.getDBPersisted();
      this.ormLiteGen.generateORMLiteDataAccessLayer(_dBPersisted, fsa);
    }
  }
}
