//------------------------- Geneated Java Class File For AddressDAOInterface Class ---------------------------------

package hu.bme.mit.contactbook.dbutility;

import hu.bme.mit.contactbook.entities.Address;
import hu.bme.mit.contactbook.entities.Person;
import java.util.List;
import com.j256.ormlite.dao.Dao;

//
public interface AddressDAOInterface {
	public boolean createAddress(Person person, Address address);
	public boolean createAddress(Address address);
	public boolean updateAddress(Address address);
	public boolean deleteAddress(Address address);
	public boolean deleteAddresss(List<Address> address);
	public boolean refreshAddress(Address address);
	public List<Address> getAddresss();
	public List<Address> getAddresssByPersonContainment(Person person);
	public Address getAddressByID(int id);
	public Dao<Address, Integer> getDAO();
}
