//------------------------- Geneated Java Class File For DAOFactory Class ---------------------------------

package hu.bme.mit.contactbook.dbutility;

import android.content.Context;
import com.j256.ormlite.dao.Dao;

//
public class DAOFactory {
	
	//
	private static EmailDAOInterface emailDI;
	
	
	//
	private static AddressDAOInterface addressDI;
	
	
	//
	private static NoteDAOInterface noteDI;
	
	
	//
	private static PhoneNumberDAOInterface phoneNumberDI;
	
	
	//
	private static PersonDAOInterface personDI;
	
	
	//
	private static ProfileDAOInterface profileDI;
	
	
	//
	private static GenericDAOInterface genericDI;
	
	
	//
	public static void initDatabase(Context c){
		DatabaseFactory.initDatabase(c);
	}
	
	//
	public static void closeDatabase(){
		DatabaseFactory.colseDatabase();
	}
	
	//
	public static void getDatabaseName(){
		DatabaseFactory.getDBName();
	}
	
	//
	public static void getDatabaseVersion(){
		DatabaseFactory.getDBVersion();
	}
	
	//
	public static EmailDAOInterface getEmailDAO(){
		if(emailDI == null){
			emailDI = new EmailDAO();
		}
		return emailDI;
	}
	
	//
	public static AddressDAOInterface getAddressDAO(){
		if(addressDI == null){
			addressDI = new AddressDAO();
		}
		return addressDI;
	}
	
	//
	public static NoteDAOInterface getNoteDAO(){
		if(noteDI == null){
			noteDI = new NoteDAO();
		}
		return noteDI;
	}
	
	//
	public static PhoneNumberDAOInterface getPhoneNumberDAO(){
		if(phoneNumberDI == null){
			phoneNumberDI = new PhoneNumberDAO();
		}
		return phoneNumberDI;
	}
	
	//
	public static PersonDAOInterface getPersonDAO(){
		if(personDI == null){
			personDI = new PersonDAO();
		}
		return personDI;
	}
	
	//
	public static ProfileDAOInterface getProfileDAO(){
		if(profileDI == null){
			profileDI = new ProfileDAO();
		}
		return profileDI;
	}
	
	
	static <T> Dao<T, Integer> getGenericDAO(Class<T> t){
		if(genericDI ==  null){
			genericDI = new GenericDAO();
		}
		return genericDI.getGenericDAO(t);
	}
}
