//------------------------- Geneated Java Class File For DataCache Class ---------------------------------

package hu.bme.mit.contactbook.dbutility;

import hu.bme.mit.contactbook.entities.Profile;
import java.sql.SQLException;
import java.util.ArrayList;
import java.util.List;

//
public class DataCache {
	
	//
	private static List<Profile> profiles = new ArrayList<Profile>();
	
	//
	public static void initCache(){
		loadCache(Profile.class, profiles);
	}
	
	@SuppressWarnings("unchecked")
	private static <T> void loadCache(Class<T> entity, List<T> cache){
		try {
			List<T> list = DAOFactory.getGenericDAO(entity).queryForAll();
			for(Object o : list){
				cache.add((T)o);
			}
		} catch (SQLException e) {
			e.printStackTrace();
		}
	}
	
	//
	public static List<Profile> getProfiles(){
		return profiles;
	}
	
	
	//
	public static void loadProfiles(){
		profiles.clear();
		loadCache(Profile.class, profiles);
	}
	
	
}
