//------------------------- Geneated Java Class File For PersonDAOInterface Class ---------------------------------

package hu.bme.mit.contactbook.dbutility;

import hu.bme.mit.contactbook.entities.Person;
import hu.bme.mit.contactbook.entities.Profile;
import java.util.List;
import com.j256.ormlite.dao.Dao;

//
public interface PersonDAOInterface {
	public boolean createPerson(Profile profile, Person person);
	public boolean createPerson(Person person);
	public boolean updatePerson(Person person);
	public boolean deletePerson(Person person);
	public boolean deletePersons(List<Person> person);
	public boolean refreshPerson(Person person);
	public List<Person> getPersons();
	public List<Person> getPersonsByProfileContainment(Profile profile);
	public Person getPersonByID(int id);
	public Dao<Person, Integer> getDAO();
}
