//------------------------- Geneated Java Class File For EntityFactory ---------------------------------

package hu.bme.mit.contactbook.entities;

//import

//
public class EntityFactory {
	
	//
	public static Email createEmail(String email){
		Email e = new Email();
		e.setEmail(email);
		return e;
	}
	
	//
	public static Email createEmail(Email email){
		Email e = new Email(email);
		return e;
	}
	//
	public static Address createAddress(String address){
		Address a = new Address();
		a.setAddress(address);
		return a;
	}
	
	//
	public static Address createAddress(Address address){
		Address a = new Address(address);
		return a;
	}
	//
	public static Note createNote(String note){
		Note n = new Note();
		n.setNote(note);
		return n;
	}
	
	//
	public static Note createNote(Note note){
		Note n = new Note(note);
		return n;
	}
	//
	public static PhoneNumber createPhoneNumber(String phoneNumber){
		PhoneNumber p = new PhoneNumber();
		p.setPhoneNumber(phoneNumber);
		return p;
	}
	
	//
	public static PhoneNumber createPhoneNumber(PhoneNumber phoneNumber){
		PhoneNumber p = new PhoneNumber(phoneNumber);
		return p;
	}
	//
	public static Person createPerson(String personName, String creationDate){
		Person p = new Person();
		p.setPersonName(personName);
		p.setCreationDate(creationDate);
		return p;
	}
	
	//
	public static Person createPerson(Person person){
		Person p = new Person(person);
		return p;
	}
	//
	public static Profile createProfile(String profileName, String creationDate){
		Profile p = new Profile();
		p.setProfileName(profileName);
		p.setCreationDate(creationDate);
		return p;
	}
	
	//
	public static Profile createProfile(Profile profile){
		Profile p = new Profile(profile);
		return p;
	}
}
