//------------------------- Geneated Java Class File For Entity - PhoneNumber ---------------------------------
//------------------------- Model Implementation In /CBModelingTestX/src/test4.dm Resource File --------------

package hu.bme.mit.contactbook.entities;

import android.os.Parcel;
import android.os.Parcelable;
import com.j256.ormlite.field.DatabaseField;
import com.j256.ormlite.table.DatabaseTable;

//
@DatabaseTable(tableName = "phonenumber")
public class PhoneNumber implements Parcelable {
	
	// Property declarations
	
	public static final String PHONENUMBER_FIELD_NAME = "phonenumber";
	public static final String PERSON_ID_FIELD_NAME = "person_id";
	@DatabaseField(columnName = "id", generatedId = true)
	private int id;
	
	//
	@DatabaseField(columnName = PHONENUMBER_FIELD_NAME, canBeNull = false)
	protected String phoneNumber;
	
	
	// Association declarations
	
	//
	@DatabaseField(foreign = true, columnName = PERSON_ID_FIELD_NAME)
	protected Person person;
	
	
	// Parcelable creator
	
	//
	public static final Parcelable.Creator<PhoneNumber> CREATOR = new Parcelable.Creator<PhoneNumber>() {
		public PhoneNumber createFromParcel(Parcel pc) {
			return new PhoneNumber(pc);
		}
		public PhoneNumber[] newArray(int size) {
			return new PhoneNumber[size];
		}
	};
	
	// Constructor
	
	//
	protected PhoneNumber(){
		super();
	}
	
	protected PhoneNumber(PhoneNumber phoneNumber){
		super();
	}
	
	public PhoneNumber(Parcel pc){
		super();
		
		phoneNumber = pc.readString();
		person = (Person) pc.readValue(Person.class.getClassLoader());
	}
	
	
	// Parcel methods
	
	
	@Override
	public int describeContents() {
		return 0;
	}
	
	@Override
	public void writeToParcel(Parcel dest, int flags) {
		dest.writeString(phoneNumber);
		dest.writeValue(person);
	}
	
	
	// Getter-setters
	
	//
	public int getId() {
		return id;
	}
	
	//
	public String getPhoneNumber(){
		return this.phoneNumber;
	}
	
	//
	public void setPhoneNumber(String phoneNumber){
		this.phoneNumber = phoneNumber;
	}
	
	//
	public Person getPerson(){
		return this.person;
	}
	
	//
	public void setPerson(Person person){
		this.person = person;
	}
	
}
