//------------------------- Geneated Java Class File For Entity - Profile ---------------------------------
//------------------------- Model Implementation In /CBModelingTestX/src/test.dm Resource File --------------

package hu.bme.mit.contactbook.entities;

import android.os.Parcel;
import android.os.Parcelable;
import com.j256.ormlite.field.DatabaseField;
import com.j256.ormlite.table.DatabaseTable;

//
@DatabaseTable(tableName = "profile")
public class Profile implements Parcelable {
	
	// Property declarations
	
	public static final String CREATIONDATE_FIELD_NAME = "creationdate";
	public static final String PROFILENAME_FIELD_NAME = "profilename";
	@DatabaseField(columnName = "id", generatedId = true)
	private int id;
	
	//
	@DatabaseField(columnName = CREATIONDATE_FIELD_NAME, canBeNull = false)
	protected String creationDate;
	
	//
	@DatabaseField(columnName = PROFILENAME_FIELD_NAME, canBeNull = false)
	protected String profileName;
	
	
	// Association declarations
	
	
	// Parcelable creator
	
	//
	public static final Parcelable.Creator<Profile> CREATOR = new Parcelable.Creator<Profile>() {
		public Profile createFromParcel(Parcel pc) {
			return new Profile(pc);
		}
		public Profile[] newArray(int size) {
			return new Profile[size];
		}
	};
	
	// Constructor
	
	//
	protected Profile(){
		super();
	}
	
	protected Profile(Profile profile){
		super();
	}
	
	public Profile(Parcel pc){
		super();
		
		creationDate = pc.readString();
		profileName = pc.readString();
	}
	
	
	// Parcel methods
	
	
	@Override
	public int describeContents() {
		return 0;
	}
	
	@Override
	public void writeToParcel(Parcel dest, int flags) {
		dest.writeString(creationDate);
		dest.writeString(profileName);
	}
	
	
	// Getter-setters
	
	//
	public int getId() {
		return id;
	}
	
	//
	public String getCreationDate(){
		return this.creationDate;
	}
	
	//
	public void setCreationDate(String creationDate){
		this.creationDate = creationDate;
	}
	
	//
	public String getProfileName(){
		return this.profileName;
	}
	
	//
	public void setProfileName(String profileName){
		this.profileName = profileName;
	}
	
}
