//------------------------- Geneated Java Class File For Application - MercuryClientAndroidApplication ---------------------------------

package hu.bme.aut.mercury.mercuryclientandroid.application;

import hu.bme.aut.mercury.mercuryclientandroid.fragments.*;

import android.app.Application;

public class MercuryClientAndroidApplication extends Application {
	
	public static final String MAINMENUACTIVITYG_STUDENT = "mainmenuactivityg_student";
	public static final String PERSONALDATAFRAGMENTG = "personaldatafragmentg";
	public static final String HTTP = "http";
	public static final String TRAININGFRAGMENTG = "trainingfragmentg";
	public static final String LOGINACTIVITYG_STUDENT = "loginactivityg_student";
	
	public static final String INTENT_FILTER = "async_response_filter";
	
	public static final String INTENT_FRAGMENT = "fragment";
	
	private static Class<? extends PersonalDataFragmentG> personalDataFragmentGClass;
	private static Class<? extends TrainingFragmentG> trainingFragmentGClass;
	
	@Override
	public void onCreate() {
		super.onCreate();
	}
	
	@Override
	public void onTerminate() {
		super.onTerminate();
	}
	
	public static Class<? extends PersonalDataFragmentG> getPersonalDataFragmentGClass() {
		return personalDataFragmentGClass;
	}
	
	protected static void setPersonalDataFragmentGClass(Class<? extends PersonalDataFragmentG> personalDataFragmentGClass) {
		MercuryClientAndroidApplication.personalDataFragmentGClass = personalDataFragmentGClass;
	}
	
	public static Class<? extends TrainingFragmentG> getTrainingFragmentGClass() {
		return trainingFragmentGClass;
	}
	
	protected static void setTrainingFragmentGClass(Class<? extends TrainingFragmentG> trainingFragmentGClass) {
		MercuryClientAndroidApplication.trainingFragmentGClass = trainingFragmentGClass;
	}
	
	
}
