//------------------------- Geneated Java Class File For Entity - Student ---------------------------------
//------------------------- Model Implementation In /MCAModelingTestX/src/student.dm Resource File --------------

package hu.bme.aut.mercury.mercuryclientandroid.entities;

import java.util.Date;
import android.os.Parcel;
import android.os.Parcelable;

//
public class Student implements Parcelable {
	
	// Property declarations
	
	//
	protected String mercuryCode;
	
	//
	protected String password;
	
	//
	protected String namePrefix;
	
	//
	protected String sirName;
	
	//
	protected String firstName;
	
	//
	protected String bornName;
	
	//
	protected MaritalStatus maritalStatus;
	
	//
	protected Date dateOfBorn;
	
	//
	protected String bornCountry;
	
	//
	protected String bornCity;
	
	//
	protected Sex sex;
	
	//
	protected String nameOfMother;
	
	//
	protected String citizenship;
	
	//
	protected int numberOfChildren;
	
	//
	protected String tAJCode;
	
	//
	protected String nAVCode;
	
	//
	protected String oMCode;
	
	//
	protected String iDCode;
	
	//
	protected String studentCode;
	
	
	// Association declarations
	
	//
	protected Training training;
	
	
	// Parcelable creator
	
	//
	public static final Parcelable.Creator<Student> CREATOR = new Parcelable.Creator<Student>() {
		public Student createFromParcel(Parcel pc) {
			return new Student(pc);
		}
		public Student[] newArray(int size) {
			return new Student[size];
		}
	};
	
	// Constructor
	
	//
	protected Student(){
		super();
	}
	
	protected Student(Student student){
		super();
	}
	
	public Student(Parcel pc){
		super();
		
		mercuryCode = pc.readString();
		password = pc.readString();
		namePrefix = pc.readString();
		sirName = pc.readString();
		firstName = pc.readString();
		bornName = pc.readString();
		maritalStatus = (MaritalStatus) pc.readValue(MaritalStatus.class.getClassLoader());
		dateOfBorn = (Date) pc.readValue(Date.class.getClassLoader());
		bornCountry = pc.readString();
		bornCity = pc.readString();
		sex = (Sex) pc.readValue(Sex.class.getClassLoader());
		nameOfMother = pc.readString();
		citizenship = pc.readString();
		numberOfChildren = pc.readInt();
		tAJCode = pc.readString();
		nAVCode = pc.readString();
		oMCode = pc.readString();
		iDCode = pc.readString();
		studentCode = pc.readString();
		training = (Training) pc.readValue(Training.class.getClassLoader());
	}
	
	
	// Parcel methods
	
	
	@Override
	public int describeContents() {
		return 0;
	}
	
	@Override
	public void writeToParcel(Parcel dest, int flags) {
		dest.writeString(mercuryCode);
		dest.writeString(password);
		dest.writeString(namePrefix);
		dest.writeString(sirName);
		dest.writeString(firstName);
		dest.writeString(bornName);
		dest.writeValue(maritalStatus);
		dest.writeValue(dateOfBorn);
		dest.writeString(bornCountry);
		dest.writeString(bornCity);
		dest.writeValue(sex);
		dest.writeString(nameOfMother);
		dest.writeString(citizenship);
		dest.writeInt(numberOfChildren);
		dest.writeString(tAJCode);
		dest.writeString(nAVCode);
		dest.writeString(oMCode);
		dest.writeString(iDCode);
		dest.writeString(studentCode);
		dest.writeValue(training);
	}
	
	
	// Getter-setters
	
	//
	public String getMercuryCode(){
		return this.mercuryCode;
	}
	
	//
	public void setMercuryCode(String mercuryCode){
		this.mercuryCode = mercuryCode;
	}
	
	//
	public String getPassword(){
		return this.password;
	}
	
	//
	public void setPassword(String password){
		this.password = password;
	}
	
	//
	public String getNamePrefix(){
		return this.namePrefix;
	}
	
	//
	public void setNamePrefix(String namePrefix){
		this.namePrefix = namePrefix;
	}
	
	//
	public String getSirName(){
		return this.sirName;
	}
	
	//
	public void setSirName(String sirName){
		this.sirName = sirName;
	}
	
	//
	public String getFirstName(){
		return this.firstName;
	}
	
	//
	public void setFirstName(String firstName){
		this.firstName = firstName;
	}
	
	//
	public String getBornName(){
		return this.bornName;
	}
	
	//
	public void setBornName(String bornName){
		this.bornName = bornName;
	}
	
	//
	public MaritalStatus getMaritalStatus(){
		return this.maritalStatus;
	}
	
	//
	public void setMaritalStatus(MaritalStatus maritalStatus){
		this.maritalStatus = maritalStatus;
	}
	
	//
	public Date getDateOfBorn(){
		return this.dateOfBorn;
	}
	
	//
	public void setDateOfBorn(Date dateOfBorn){
		this.dateOfBorn = dateOfBorn;
	}
	
	//
	public String getBornCountry(){
		return this.bornCountry;
	}
	
	//
	public void setBornCountry(String bornCountry){
		this.bornCountry = bornCountry;
	}
	
	//
	public String getBornCity(){
		return this.bornCity;
	}
	
	//
	public void setBornCity(String bornCity){
		this.bornCity = bornCity;
	}
	
	//
	public Sex getSex(){
		return this.sex;
	}
	
	//
	public void setSex(Sex sex){
		this.sex = sex;
	}
	
	//
	public String getNameOfMother(){
		return this.nameOfMother;
	}
	
	//
	public void setNameOfMother(String nameOfMother){
		this.nameOfMother = nameOfMother;
	}
	
	//
	public String getCitizenship(){
		return this.citizenship;
	}
	
	//
	public void setCitizenship(String citizenship){
		this.citizenship = citizenship;
	}
	
	//
	public int getNumberOfChildren(){
		return this.numberOfChildren;
	}
	
	//
	public void setNumberOfChildren(int numberOfChildren){
		this.numberOfChildren = numberOfChildren;
	}
	
	//
	public String getTAJCode(){
		return this.tAJCode;
	}
	
	//
	public void setTAJCode(String tAJCode){
		this.tAJCode = tAJCode;
	}
	
	//
	public String getNAVCode(){
		return this.nAVCode;
	}
	
	//
	public void setNAVCode(String nAVCode){
		this.nAVCode = nAVCode;
	}
	
	//
	public String getOMCode(){
		return this.oMCode;
	}
	
	//
	public void setOMCode(String oMCode){
		this.oMCode = oMCode;
	}
	
	//
	public String getIDCode(){
		return this.iDCode;
	}
	
	//
	public void setIDCode(String iDCode){
		this.iDCode = iDCode;
	}
	
	//
	public String getStudentCode(){
		return this.studentCode;
	}
	
	//
	public void setStudentCode(String studentCode){
		this.studentCode = studentCode;
	}
	
	//
	public Training getTraining(){
		return this.training;
	}
	
	//
	public void setTraining(Training training){
		this.training = training;
	}
	
}
