package hu.bme.aut.mercury.mercuryclientandroid.activities;

import hu.bme.aut.mercury.mercuryclientandroid.R;
import hu.bme.aut.mercury.mercuryclientandroid.application.MercuryApplication;
import android.os.Bundle;
import android.view.Menu;
import android.view.MenuItem;
import android.view.View;
import android.widget.Button;

public class MainMenuActivity extends MainMenuActivityG {

	    private Button btnTraining;
	    private Button btnPersonalData;
	    
	    @SuppressWarnings("unused")
		private Button btnMarks;
	    @SuppressWarnings("unused")
	    private Button btnEnrolledCourses;
	    @SuppressWarnings("unused")
	    private Button btnSubjects;
	    @SuppressWarnings("unused")
	    private Button btnMaps;

		@Override
		protected void onCreate(Bundle savedInstanceState) {
			super.onCreate(savedInstanceState);
			
			student = getIntent().getParcelableExtra(MercuryApplication.LOGINACTIVITYG_STUDENT);
			
			setContentView(R.layout.activity_main_menu);
			
	        btnTraining = (Button) findViewById(R.id.btnTraining);
	        btnPersonalData = (Button) findViewById(R.id.btnPersonalData);
		    btnMarks = (Button) findViewById(R.id.btnMarks);
		    btnEnrolledCourses = (Button) findViewById(R.id.btnEnrolledCourses);
		    btnSubjects = (Button) findViewById(R.id.btnSubjects);
		    btnMaps = (Button) findViewById(R.id.btnMaps);
	        
	        btnTraining.setOnClickListener(new View.OnClickListener() {
				
				@Override
				public void onClick(View v) {
					startFragmentViewActivityGTrainingFragmentG(FragmentViewActivity.class);
				}
				
			});
	        
	        btnPersonalData.setOnClickListener(new View.OnClickListener() {
				
				@Override
				public void onClick(View v) {
					startFragmentViewActivityGPersonalDataFragmentG(FragmentViewActivity.class);
				}
				
			});
			
		}
		
		@Override
		public boolean onCreateOptionsMenu(Menu menu) {
			getMenuInflater().inflate(R.menu.login, menu);
			return true;
		}

		@Override
		public boolean onOptionsItemSelected(MenuItem item) {
			int id = item.getItemId();
			if (id == R.id.action_settings) {
				return true;
			}
			return super.onOptionsItemSelected(item);
		}
		
		@Override
		public void onResume() {
			super.onResume();
		}

		@Override
		public void onPause() {
			super.onPause();
		}
		
}
