package hu.bme.mit.mobilegen.componentmodel.generator.asynctask

import com.google.inject.Inject
import hu.bme.mit.mobilegen.componentmodel.componentmodel.AsyncTask
import hu.bme.mit.mobilegen.componentmodel.helper.WrappedModel
import java.util.List
import org.eclipse.xtext.generator.IFileSystemAccess

class AsyncTasksGenerator {
	
	@Inject
	AsyncTaskGenerator asyncTaskGenerator;
	
	def generateAsyncTasks(WrappedModel wm, IFileSystemAccess fsa){
		genAsyncTasks(wm.asyncTasks, fsa);
	}
	
	def private genAsyncTasks(List<AsyncTask> async_tasks, IFileSystemAccess fsa) {
		
		for(AsyncTask a : async_tasks){
			asyncTaskGenerator.generateAsyncTaskUnit(a, fsa);
		}
		
	}
	
}