package hu.bme.mit.mobilegen.componentmodel.generator.fragment

import com.google.inject.Inject
import hu.bme.mit.mobilegen.componentmodel.componentmodel.Fragment
import hu.bme.mit.mobilegen.componentmodel.helper.WrappedModel
import java.util.List
import org.eclipse.xtext.generator.IFileSystemAccess

class FragmentsGenerator {
	
	@Inject
	FragmentGenerator fragmentGenerator;
	
	def generateFragments(WrappedModel wm, IFileSystemAccess fsa){
		genFragments(wm.fragments, fsa);
	}
	
	def private genFragments(List<Fragment> fragments, IFileSystemAccess fsa) {
		
		for(Fragment f : fragments){
			fragmentGenerator.generateFragmentUnit(f, fsa);
		}
		
	}
	
}