/**
 */
package hu.bme.mit.mobilegen.componentmodel.componentmodel.impl;

import hu.bme.mit.mobilegen.componentmodel.componentmodel.Activity;
import hu.bme.mit.mobilegen.componentmodel.componentmodel.ActivityType;
import hu.bme.mit.mobilegen.componentmodel.componentmodel.Association;
import hu.bme.mit.mobilegen.componentmodel.componentmodel.AsyncTask;
import hu.bme.mit.mobilegen.componentmodel.componentmodel.ComponentmodelPackage;
import hu.bme.mit.mobilegen.componentmodel.componentmodel.Fragment;
import hu.bme.mit.mobilegen.componentmodel.componentmodel.Property;
import hu.bme.mit.mobilegen.componentmodel.componentmodel.StartActivity;

import java.util.Collection;

import org.eclipse.emf.common.notify.Notification;
import org.eclipse.emf.common.notify.NotificationChain;

import org.eclipse.emf.common.util.EList;

import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.InternalEObject;

import org.eclipse.emf.ecore.impl.ENotificationImpl;

import org.eclipse.emf.ecore.util.EObjectContainmentEList;
import org.eclipse.emf.ecore.util.EObjectResolvingEList;
import org.eclipse.emf.ecore.util.InternalEList;

/**
 * <!-- begin-user-doc -->
 * An implementation of the model object '<em><b>Activity</b></em>'.
 * <!-- end-user-doc -->
 * <p>
 * The following features are implemented:
 * <ul>
 *   <li>{@link hu.bme.mit.mobilegen.componentmodel.componentmodel.impl.ActivityImpl#getType <em>Type</em>}</li>
 *   <li>{@link hu.bme.mit.mobilegen.componentmodel.componentmodel.impl.ActivityImpl#getProperty <em>Property</em>}</li>
 *   <li>{@link hu.bme.mit.mobilegen.componentmodel.componentmodel.impl.ActivityImpl#getAssociation <em>Association</em>}</li>
 *   <li>{@link hu.bme.mit.mobilegen.componentmodel.componentmodel.impl.ActivityImpl#getFargment_frame <em>Fargment frame</em>}</li>
 *   <li>{@link hu.bme.mit.mobilegen.componentmodel.componentmodel.impl.ActivityImpl#getFragments <em>Fragments</em>}</li>
 *   <li>{@link hu.bme.mit.mobilegen.componentmodel.componentmodel.impl.ActivityImpl#getActivities <em>Activities</em>}</li>
 *   <li>{@link hu.bme.mit.mobilegen.componentmodel.componentmodel.impl.ActivityImpl#getAsync_tasks <em>Async tasks</em>}</li>
 *   <li>{@link hu.bme.mit.mobilegen.componentmodel.componentmodel.impl.ActivityImpl#getResult_async_tasks <em>Result async tasks</em>}</li>
 * </ul>
 * </p>
 *
 * @generated
 */
public class ActivityImpl extends ElementImpl implements Activity
{
  /**
   * The default value of the '{@link #getType() <em>Type</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getType()
   * @generated
   * @ordered
   */
  protected static final ActivityType TYPE_EDEFAULT = ActivityType.SIMPLE;

  /**
   * The cached value of the '{@link #getType() <em>Type</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getType()
   * @generated
   * @ordered
   */
  protected ActivityType type = TYPE_EDEFAULT;

  /**
   * The cached value of the '{@link #getProperty() <em>Property</em>}' containment reference list.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getProperty()
   * @generated
   * @ordered
   */
  protected EList<Property> property;

  /**
   * The cached value of the '{@link #getAssociation() <em>Association</em>}' containment reference list.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getAssociation()
   * @generated
   * @ordered
   */
  protected EList<Association> association;

  /**
   * The default value of the '{@link #getFargment_frame() <em>Fargment frame</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getFargment_frame()
   * @generated
   * @ordered
   */
  protected static final String FARGMENT_FRAME_EDEFAULT = null;

  /**
   * The cached value of the '{@link #getFargment_frame() <em>Fargment frame</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getFargment_frame()
   * @generated
   * @ordered
   */
  protected String fargment_frame = FARGMENT_FRAME_EDEFAULT;

  /**
   * The cached value of the '{@link #getFragments() <em>Fragments</em>}' reference list.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getFragments()
   * @generated
   * @ordered
   */
  protected EList<Fragment> fragments;

  /**
   * The cached value of the '{@link #getActivities() <em>Activities</em>}' containment reference list.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getActivities()
   * @generated
   * @ordered
   */
  protected EList<StartActivity> activities;

  /**
   * The cached value of the '{@link #getAsync_tasks() <em>Async tasks</em>}' reference list.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getAsync_tasks()
   * @generated
   * @ordered
   */
  protected EList<AsyncTask> async_tasks;

  /**
   * The cached value of the '{@link #getResult_async_tasks() <em>Result async tasks</em>}' reference list.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getResult_async_tasks()
   * @generated
   * @ordered
   */
  protected EList<AsyncTask> result_async_tasks;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected ActivityImpl()
  {
    super();
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  protected EClass eStaticClass()
  {
    return ComponentmodelPackage.Literals.ACTIVITY;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public ActivityType getType()
  {
    return type;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void setType(ActivityType newType)
  {
    ActivityType oldType = type;
    type = newType == null ? TYPE_EDEFAULT : newType;
    if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.SET, ComponentmodelPackage.ACTIVITY__TYPE, oldType, type));
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EList<Property> getProperty()
  {
    if (property == null)
    {
      property = new EObjectContainmentEList<Property>(Property.class, this, ComponentmodelPackage.ACTIVITY__PROPERTY);
    }
    return property;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EList<Association> getAssociation()
  {
    if (association == null)
    {
      association = new EObjectContainmentEList<Association>(Association.class, this, ComponentmodelPackage.ACTIVITY__ASSOCIATION);
    }
    return association;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public String getFargment_frame()
  {
    return fargment_frame;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void setFargment_frame(String newFargment_frame)
  {
    String oldFargment_frame = fargment_frame;
    fargment_frame = newFargment_frame;
    if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.SET, ComponentmodelPackage.ACTIVITY__FARGMENT_FRAME, oldFargment_frame, fargment_frame));
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EList<Fragment> getFragments()
  {
    if (fragments == null)
    {
      fragments = new EObjectResolvingEList<Fragment>(Fragment.class, this, ComponentmodelPackage.ACTIVITY__FRAGMENTS);
    }
    return fragments;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EList<StartActivity> getActivities()
  {
    if (activities == null)
    {
      activities = new EObjectContainmentEList<StartActivity>(StartActivity.class, this, ComponentmodelPackage.ACTIVITY__ACTIVITIES);
    }
    return activities;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EList<AsyncTask> getAsync_tasks()
  {
    if (async_tasks == null)
    {
      async_tasks = new EObjectResolvingEList<AsyncTask>(AsyncTask.class, this, ComponentmodelPackage.ACTIVITY__ASYNC_TASKS);
    }
    return async_tasks;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EList<AsyncTask> getResult_async_tasks()
  {
    if (result_async_tasks == null)
    {
      result_async_tasks = new EObjectResolvingEList<AsyncTask>(AsyncTask.class, this, ComponentmodelPackage.ACTIVITY__RESULT_ASYNC_TASKS);
    }
    return result_async_tasks;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public NotificationChain eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)
  {
    switch (featureID)
    {
      case ComponentmodelPackage.ACTIVITY__PROPERTY:
        return ((InternalEList<?>)getProperty()).basicRemove(otherEnd, msgs);
      case ComponentmodelPackage.ACTIVITY__ASSOCIATION:
        return ((InternalEList<?>)getAssociation()).basicRemove(otherEnd, msgs);
      case ComponentmodelPackage.ACTIVITY__ACTIVITIES:
        return ((InternalEList<?>)getActivities()).basicRemove(otherEnd, msgs);
    }
    return super.eInverseRemove(otherEnd, featureID, msgs);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public Object eGet(int featureID, boolean resolve, boolean coreType)
  {
    switch (featureID)
    {
      case ComponentmodelPackage.ACTIVITY__TYPE:
        return getType();
      case ComponentmodelPackage.ACTIVITY__PROPERTY:
        return getProperty();
      case ComponentmodelPackage.ACTIVITY__ASSOCIATION:
        return getAssociation();
      case ComponentmodelPackage.ACTIVITY__FARGMENT_FRAME:
        return getFargment_frame();
      case ComponentmodelPackage.ACTIVITY__FRAGMENTS:
        return getFragments();
      case ComponentmodelPackage.ACTIVITY__ACTIVITIES:
        return getActivities();
      case ComponentmodelPackage.ACTIVITY__ASYNC_TASKS:
        return getAsync_tasks();
      case ComponentmodelPackage.ACTIVITY__RESULT_ASYNC_TASKS:
        return getResult_async_tasks();
    }
    return super.eGet(featureID, resolve, coreType);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @SuppressWarnings("unchecked")
  @Override
  public void eSet(int featureID, Object newValue)
  {
    switch (featureID)
    {
      case ComponentmodelPackage.ACTIVITY__TYPE:
        setType((ActivityType)newValue);
        return;
      case ComponentmodelPackage.ACTIVITY__PROPERTY:
        getProperty().clear();
        getProperty().addAll((Collection<? extends Property>)newValue);
        return;
      case ComponentmodelPackage.ACTIVITY__ASSOCIATION:
        getAssociation().clear();
        getAssociation().addAll((Collection<? extends Association>)newValue);
        return;
      case ComponentmodelPackage.ACTIVITY__FARGMENT_FRAME:
        setFargment_frame((String)newValue);
        return;
      case ComponentmodelPackage.ACTIVITY__FRAGMENTS:
        getFragments().clear();
        getFragments().addAll((Collection<? extends Fragment>)newValue);
        return;
      case ComponentmodelPackage.ACTIVITY__ACTIVITIES:
        getActivities().clear();
        getActivities().addAll((Collection<? extends StartActivity>)newValue);
        return;
      case ComponentmodelPackage.ACTIVITY__ASYNC_TASKS:
        getAsync_tasks().clear();
        getAsync_tasks().addAll((Collection<? extends AsyncTask>)newValue);
        return;
      case ComponentmodelPackage.ACTIVITY__RESULT_ASYNC_TASKS:
        getResult_async_tasks().clear();
        getResult_async_tasks().addAll((Collection<? extends AsyncTask>)newValue);
        return;
    }
    super.eSet(featureID, newValue);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public void eUnset(int featureID)
  {
    switch (featureID)
    {
      case ComponentmodelPackage.ACTIVITY__TYPE:
        setType(TYPE_EDEFAULT);
        return;
      case ComponentmodelPackage.ACTIVITY__PROPERTY:
        getProperty().clear();
        return;
      case ComponentmodelPackage.ACTIVITY__ASSOCIATION:
        getAssociation().clear();
        return;
      case ComponentmodelPackage.ACTIVITY__FARGMENT_FRAME:
        setFargment_frame(FARGMENT_FRAME_EDEFAULT);
        return;
      case ComponentmodelPackage.ACTIVITY__FRAGMENTS:
        getFragments().clear();
        return;
      case ComponentmodelPackage.ACTIVITY__ACTIVITIES:
        getActivities().clear();
        return;
      case ComponentmodelPackage.ACTIVITY__ASYNC_TASKS:
        getAsync_tasks().clear();
        return;
      case ComponentmodelPackage.ACTIVITY__RESULT_ASYNC_TASKS:
        getResult_async_tasks().clear();
        return;
    }
    super.eUnset(featureID);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public boolean eIsSet(int featureID)
  {
    switch (featureID)
    {
      case ComponentmodelPackage.ACTIVITY__TYPE:
        return type != TYPE_EDEFAULT;
      case ComponentmodelPackage.ACTIVITY__PROPERTY:
        return property != null && !property.isEmpty();
      case ComponentmodelPackage.ACTIVITY__ASSOCIATION:
        return association != null && !association.isEmpty();
      case ComponentmodelPackage.ACTIVITY__FARGMENT_FRAME:
        return FARGMENT_FRAME_EDEFAULT == null ? fargment_frame != null : !FARGMENT_FRAME_EDEFAULT.equals(fargment_frame);
      case ComponentmodelPackage.ACTIVITY__FRAGMENTS:
        return fragments != null && !fragments.isEmpty();
      case ComponentmodelPackage.ACTIVITY__ACTIVITIES:
        return activities != null && !activities.isEmpty();
      case ComponentmodelPackage.ACTIVITY__ASYNC_TASKS:
        return async_tasks != null && !async_tasks.isEmpty();
      case ComponentmodelPackage.ACTIVITY__RESULT_ASYNC_TASKS:
        return result_async_tasks != null && !result_async_tasks.isEmpty();
    }
    return super.eIsSet(featureID);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public String toString()
  {
    if (eIsProxy()) return super.toString();

    StringBuffer result = new StringBuffer(super.toString());
    result.append(" (type: ");
    result.append(type);
    result.append(", fargment_frame: ");
    result.append(fargment_frame);
    result.append(')');
    return result.toString();
  }

} //ActivityImpl
