package hu.bme.mit.mobilegen.componentmodel.generator.activity

import com.google.inject.Inject
import hu.bme.mit.mobilegen.componentmodel.componentmodel.Activity
import hu.bme.mit.mobilegen.componentmodel.helper.WrappedModel
import java.util.List
import org.eclipse.xtext.generator.IFileSystemAccess

class ActivitiesGenerator {
	
	@Inject
	ActivityGenerator activityGenerator;
	
	def generateActivities(WrappedModel wm, IFileSystemAccess fsa){
		genActivities(wm.activities, fsa);
	}
	
	def private genActivities(List<Activity> activities, IFileSystemAccess fsa) {
		
		for(Activity a : activities){
			activityGenerator.generateActivityUnit(a, fsa);
		}
		
	}
	
}
