package hu.bme.mit.mobilegen.componentmodel.helper;

import hu.bme.mit.mobilegen.componentmodel.componentmodel.PropertyType;

public class FormatPropertyType {

	public static String formatPrimitive(PropertyType t){
		switch(t){
			case BOOLEAN: return "boolean";
			
			case BYTE: return "byte";
		
			case CHAR: return "char";
			
			case DOUBLE: return "double";
			
			case FLOAT: return "float";
			
			case INTEGER: return "int";
			
			case LONG: return "long";
			
			case STRING: return "String";
			
			case DATE: return "Date";
			
			default: return "";
		
		}
	}
	
	public static String formatClass(PropertyType t){
		switch(t){
			case BOOLEAN: return "Boolean";
			
			case BYTE: return "Byte";
		
			case CHAR: return "Char";
			
			case DOUBLE: return "Double";
			
			case FLOAT: return "Float";
			
			case INTEGER: return "Integer";
			
			case LONG: return "Long";
			
			case STRING: return "String";
			
			case DATE: return "Date";
			
			default: return "";
		
		}
	}
	
}
