package hu.bme.mit.mobilegen.componentmodel.generator.fragment;

import com.google.inject.Inject;
import hu.bme.mit.mobilegen.componentmodel.componentmodel.Fragment;
import hu.bme.mit.mobilegen.componentmodel.generator.fragment.FragmentGenerator;
import hu.bme.mit.mobilegen.componentmodel.helper.WrappedModel;
import java.util.List;
import org.eclipse.xtext.generator.IFileSystemAccess;

@SuppressWarnings("all")
public class FragmentsGenerator {
  @Inject
  private FragmentGenerator fragmentGenerator;
  
  public void generateFragments(final WrappedModel wm, final IFileSystemAccess fsa) {
    List<Fragment> _fragments = wm.getFragments();
    this.genFragments(_fragments, fsa);
  }
  
  private void genFragments(final List<Fragment> fragments, final IFileSystemAccess fsa) {
    for (final Fragment f : fragments) {
      this.fragmentGenerator.generateFragmentUnit(f, fsa);
    }
  }
}
