package hu.bme.mit.mobilegen.datamodel.ui.file;

import org.eclipse.core.resources.IFile;
import org.eclipse.jface.viewers.IStructuredSelection;
import org.eclipse.jface.wizard.Wizard;
import org.eclipse.ui.INewWizard;
import org.eclipse.ui.IWorkbench;

public class CreateDatamodelConfigFileWizard extends Wizard implements INewWizard {

    private IStructuredSelection selection;
    private CreateDatamodelConfigFileHelper datamodelConfigFileHelper;

    public CreateDatamodelConfigFileWizard() {
        setWindowTitle("New Datamodel File");
    } 

    @Override
    public void init(IWorkbench workbench, IStructuredSelection selection) {
        this.selection = selection;
    }

    @Override
    public void addPages() {

    	datamodelConfigFileHelper = new CreateDatamodelConfigFileHelper(selection);
        addPage(datamodelConfigFileHelper);
    }
    
    @Override
    public boolean performFinish() {
        
        IFile file = datamodelConfigFileHelper.createNewFile();
        if (file != null)
            return true;
        else
            return false;
    }

}