package hu.bme.mit.mobilegen.datamodel.generator.database

import com.google.inject.Inject
import hu.bme.mit.mobilegen.datamodel.generator.GeneratorData
import hu.bme.mit.mobilegen.datamodel.generator.database.ormlite.ORMLiteGenerator
import hu.bme.mit.mobilegen.datamodel.helper.WrappedModel
import org.eclipse.xtext.generator.IFileSystemAccess

class DatabaseGeneratorMain {
	
	@Inject
	ORMLiteGenerator ormLiteGen;
	
	def generateDataAccessLayer(WrappedModel wm, IFileSystemAccess fsa){
		if(GeneratorData.orm == ORMType.ORMLite){
			ormLiteGen.generateORMLiteDataAccessLayer(wm.DBPersisted, fsa);
		}
	}
	
}