package hu.bme.mit.mobilegen.datamodel.generator.database

import hu.bme.mit.mobilegen.datamodel.datamodel.Association
import hu.bme.mit.mobilegen.datamodel.datamodel.Entity
import hu.bme.mit.mobilegen.datamodel.datamodel.Property
import hu.bme.mit.mobilegen.datamodel.generator.database.ormlite.ORMLiteGeneratorUtility
import hu.bme.mit.mobilegen.datamodel.helper.WrappedEntity
import java.util.List

class DatabaseGeneratorUtility implements IDatabaseGeneratorUtility{
	
	static IDatabaseGeneratorUtility dbGenUtil = null;
	static ORMType orm;
	
	def  static setORM(ORMType o) {
		orm = o;
		if(orm == ORMType.ORMLite){
			dbGenUtil = new ORMLiteGeneratorUtility();
		}
		else{
			dbGenUtil = null;
		}
	}
	
	override classAnnotations(Entity e) {
		return dbGenUtil.classAnnotations(e);
	}
	
	override propertyAnnotations(Property p) {
		return dbGenUtil.propertyAnnotations(p);
	}
	
	override associationAnnotations(Association a) {
		return dbGenUtil.associationAnnotations(a);
	}
	
	override propertyID(Entity e) {
		return dbGenUtil.propertyID(e);
	}
	
	override associationListDeclaration(Association a) {
		return dbGenUtil.associationListDeclaration(a);
	}
	
	override idGetter(Entity e) {
		return dbGenUtil.idGetter(e);
	}
	
	override fieldNames(Entity e) {
		return dbGenUtil.fieldNames(e);
	}
	
	override collectEntityImports(List<String> imports, WrappedEntity we) {
		dbGenUtil.collectEntityImports(imports, we);
	}
	
	override collectEntityGENImports(List<String> imports, WrappedEntity we) {
		dbGenUtil.collectEntityGENImports(imports, we);
	}
	
	override associationListGetter(Association a) {
		dbGenUtil.associationListGetter(a);
	}
	
	override associationListSetter(Association a) {
		dbGenUtil.associationListSetter(a);
	}
	
}