package hu.bme.mit.mobilegen.datamodel.logger;

import org.eclipse.ui.console.ConsolePlugin;
import org.eclipse.ui.console.IConsole;
import org.eclipse.ui.console.IConsoleManager;
import org.eclipse.ui.console.MessageConsole;
import org.eclipse.ui.console.MessageConsoleStream;

public class DatamodelConsole {

	 private static MessageConsole findConsole(String name) {
	      ConsolePlugin plugin = ConsolePlugin.getDefault();
	      IConsoleManager conMan = plugin.getConsoleManager();
	      IConsole[] existing = conMan.getConsoles();
	      
	      for (int i = 0; i < existing.length; i++){
	    	  if (name.equals(existing[i].getName())){
	    		  return (MessageConsole) existing[i];
	    	  }
	      }
	      
	      MessageConsole myConsole = new MessageConsole(name, null);
	      conMan.addConsoles(new IConsole[]{myConsole});
	      return myConsole;
	 }
	
	public static void writeToConsole(String s){
		MessageConsole myConsole = findConsole("Datamodel Console");
		MessageConsoleStream out = myConsole.newMessageStream();
		out.println(s);
	}
	
}
