package hu.bme.mit.mobilegen.datamodel.preprocessor;

import hu.bme.mit.mobilegen.datamodel.generator.GeneratorData;
import hu.bme.mit.mobilegen.datamodel.helper.WrappedModel;
import hu.bme.mit.mobilegen.datamodel.logger.Log;

public class ModelValidator {

	/**
	 * 
	 * Validating model
	 * @param: Processed WrappedModel
	 * 
	 */
	public static boolean checkModel(WrappedModel wm){
		
		if(wm.getDBPersisted().size() > 0 && GeneratorData.getOrm() == null){
			Log.error("There are DB Persisted Entities, but no ORM Type has been added in the config file");
			return false;
		}
		
		Log.info("Pre-process ended successfully");
		return true;
	}
	
}
