package hu.bme.mit.mobilegen.datamodel.generator.database;

import com.google.common.base.Objects;
import hu.bme.mit.mobilegen.datamodel.datamodel.Association;
import hu.bme.mit.mobilegen.datamodel.datamodel.Entity;
import hu.bme.mit.mobilegen.datamodel.datamodel.Property;
import hu.bme.mit.mobilegen.datamodel.generator.database.IDatabaseGeneratorUtility;
import hu.bme.mit.mobilegen.datamodel.generator.database.ORMType;
import hu.bme.mit.mobilegen.datamodel.generator.database.ormlite.ORMLiteGeneratorUtility;
import hu.bme.mit.mobilegen.datamodel.helper.WrappedEntity;
import java.util.List;

@SuppressWarnings("all")
public class DatabaseGeneratorUtility implements IDatabaseGeneratorUtility {
  private static IDatabaseGeneratorUtility dbGenUtil = null;
  
  private static ORMType orm;
  
  public static IDatabaseGeneratorUtility setORM(final ORMType o) {
    IDatabaseGeneratorUtility _xblockexpression = null;
    {
      DatabaseGeneratorUtility.orm = o;
      IDatabaseGeneratorUtility _xifexpression = null;
      boolean _equals = Objects.equal(DatabaseGeneratorUtility.orm, ORMType.ORMLite);
      if (_equals) {
        ORMLiteGeneratorUtility _oRMLiteGeneratorUtility = new ORMLiteGeneratorUtility();
        _xifexpression = DatabaseGeneratorUtility.dbGenUtil = _oRMLiteGeneratorUtility;
      } else {
        _xifexpression = DatabaseGeneratorUtility.dbGenUtil = null;
      }
      _xblockexpression = _xifexpression;
    }
    return _xblockexpression;
  }
  
  public CharSequence classAnnotations(final Entity e) {
    return DatabaseGeneratorUtility.dbGenUtil.classAnnotations(e);
  }
  
  public CharSequence propertyAnnotations(final Property p) {
    return DatabaseGeneratorUtility.dbGenUtil.propertyAnnotations(p);
  }
  
  public CharSequence associationAnnotations(final Association a) {
    return DatabaseGeneratorUtility.dbGenUtil.associationAnnotations(a);
  }
  
  public CharSequence propertyID(final Entity e) {
    return DatabaseGeneratorUtility.dbGenUtil.propertyID(e);
  }
  
  public CharSequence associationListDeclaration(final Association a) {
    return DatabaseGeneratorUtility.dbGenUtil.associationListDeclaration(a);
  }
  
  public CharSequence idGetter(final Entity e) {
    return DatabaseGeneratorUtility.dbGenUtil.idGetter(e);
  }
  
  public CharSequence fieldNames(final Entity e) {
    return DatabaseGeneratorUtility.dbGenUtil.fieldNames(e);
  }
  
  public void collectEntityImports(final List<String> imports, final WrappedEntity we) {
    DatabaseGeneratorUtility.dbGenUtil.collectEntityImports(imports, we);
  }
  
  public void collectEntityGENImports(final List<String> imports, final WrappedEntity we) {
    DatabaseGeneratorUtility.dbGenUtil.collectEntityGENImports(imports, we);
  }
  
  public CharSequence associationListGetter(final Association a) {
    return DatabaseGeneratorUtility.dbGenUtil.associationListGetter(a);
  }
  
  public CharSequence associationListSetter(final Association a) {
    return DatabaseGeneratorUtility.dbGenUtil.associationListSetter(a);
  }
}
